跳到內容

列出協會的會員資格(僅 id 和狀態)

GET
/v1/memberships
curl --request GET \
--url 'https://api.vimine.network/v1/memberships?status=pending' \
--header 'Authorization: Bearer <token>'

分頁傳回,最新的在前。updated_since(RFC 3339)只傳回在該時刻之後有變化的記錄——用於增量同步。需要包含全協會清單功能的方案(否則傳回 plan_limit)。

status
string
允許的值: pending active suspended revoked rejected
updated_since
string 格式: date-time
limit
integer
>= 1 <= 100
cursor
string

一頁結果

媒體類型application/json
object
items
Array<object>
object
id
string
status
string
verdict
string
membership_type
object
cod
string
issued_at
string 格式: date-time
可為 null
valid_until
string 格式: date-time
可為 null
updated_at
string 格式: date-time
next_cursor
string
可為 null
範例自動產生
{
"items": [
{
"id": "example",
"status": "example",
"verdict": "example",
"membership_type": {
"cod": "example"
},
"issued_at": "2026-04-15T12:00:00Z",
"valid_until": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"next_cursor": "example"
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少憑證或憑證無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

協會的方案不包含全協會清單功能(plan_limit)

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}